#ifndef CONTEXT_H
#define CONTEXT_H

/// Abstract context for all Kodiak render objects
/**
*	Abstract context for all Kodiak render objects
*/

class Context
{
public:
	virtual void makeCurrent(void) =0;	/**<  Activate context */
	virtual void swapBuffer(void) =0;	/**<  Swap buffers ( double buffering ) if supported, otherwise empty function */
	virtual void doneCurrent(void) =0;	/**<  Deactivate context */
};


#endif